This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 98328 - CAN-2003-0282 vulnerability in unzip 5.50 allows malicious zip file to write to ../
CAN-2003-0282 vulnerability in unzip 5.50 allows malicious zip file to write...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: unzip (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-01 04:47 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-01 11:24:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-07-01 04:47:18 EDT
Description of problem:
By inserting non-printable characters into a directory, for instance:

^C../

One may create a zip file which, when extracted, will bypass the "writing to
../" security check (if the user has not specified the "-:" command line
option), thus opening up the potential for a trojan horse program:

^C../^C../^C../^C../usr/sbin/sshd

for example.

Version-Release number of selected component (if applicable):
5.50-*

How reproducible:
Always

Steps to Reproduce: Unzip the attached testcase.zip.
Actual Results:  Stuff created in parent directory (../) without the -: option.
Expected Results:  Stuff created in current directory.
Comment 1 Lon Hohberger 2003-07-01 10:48:27 EDT
Awaiting erratum.
Comment 2 Mark J. Cox (Product Security) 2003-07-01 11:24:27 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-200.html

Note You need to log in before you can comment on or make changes to this bug.